# Session class final

## Constructors

Session(String _clientSessionId, String _customerId, String _clientApiUrl, String _assetUrl, {bool isEnvironmentProduction = false, String appIdentifier = "${Constants.appIdentifierPrefix}/UnknownAppId", bool loggingEnabled = false})
  Creates a Session object. Use this object to perform Client API requests such as get Payment Products or get IIN Details.

## Properties

appIdentifier → String
  final
hashCode → int
  The hash code for this object.
  read-only inherited
initializationError → Object?
  read-only
initialized ↔ bool
  read / write
isEnvironmentProduction → bool
  final
loggingEnabled ↔ bool
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

getBasicPaymentProducts({required BasicPaymentProductsRequest request, required BasicPaymentProductsResponseListener listener}) → dynamic
  Retrieves the basic payment products as a BasicPaymentProducts object from the Online Payments gateway with the use of a BasicPaymentProductsRequest.
getIinDetails({required IinDetailsRequest request, required IinLookupResponseListener listener}) → dynamic
  Retrieves the IinDetails as a IinDetailsResponse object from the Online Payments gateway with the use of a IinDetailsRequest.
getPaymentProduct({required PaymentProductRequest request, required PaymentProductResponseListener listener}) → dynamic
  Retrieves a payment product as a PaymentProduct object from the Online Payments gateway with the use of a PaymentProductRequest.
getPaymentProductNetworks({required PaymentProductNetworksRequest request, required PaymentProductNetworksResponseListener listener}) → dynamic
  Retrieves a payment product networks as a PaymentProductNetworks object from the Online Payments gateway with the use of a PaymentProductNetworksRequest.
getPublicKey({required PublicKeyResponseListener listener}) → dynamic
  Retrieves the public key as a PublicKey object from the Online Payments gateway.
getSurchargeCalculation({required SurchargeCalculationRequest request, required SurchargeCalculationResponseListener listener}) → dynamic
  Retrieves a surcharge calculation as a SurchargeCalculation object from the Online Payments gateway with the use of a SurchargeCalculationRequest.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
preparePaymentRequest({required SdkPreparePaymentRequest request, required PaymentRequestPreparedListener listener}) → dynamic
  Prepares a payment request - supplied as a SdkPreparePaymentRequest - used for creating a payment via the Online Payments gateway, it is returned as a PreparedPaymentRequest.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited